﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using Telerik.WinControls;
using Telerik.WinControls.Primitives;

namespace WindowsFormsApplication5
{
    public partial class Form1 : Form
    {
        bool showDropDown = false;

        public Form1()
        {
            InitializeComponent();
            RadContextMenu m = new RadContextMenu();
            m.Items.Add(new RadMenuItem("Item"));
            m.Items.Add(new RadMenuItem("Item"));
            m.Items.Add(new RadMenuItem("Item"));
            m.Items.Add(new RadMenuItem("Item"));
            m.Items.Add(new RadMenuItem("Item"));

            RadContextMenuManager manager = new RadContextMenuManager();
            manager.SetRadContextMenu(this.radTreeView1, m);

            m.DropDownOpening += new CancelEventHandler(m_DropDownOpening);
            this.radTreeView1.NodeMouseDown += new RadTreeView.TreeViewMouseEventHandler(radTreeView1_NodeMouseDown);
        }

        void radTreeView1_NodeMouseDown(object sender, RadTreeViewMouseEventArgs e)
        {
            if (e.Node.Text == "Node1")
            {
                showDropDown = true;
            }
            else
            {
                showDropDown = false;
            }
        }

        void m_DropDownOpening(object sender, CancelEventArgs e)
        {
            if (!showDropDown)
            {
                e.Cancel = true;
            }

            showDropDown = false;
        }
    }
}
